# co vše lze vložit do tranzitního skeletu (předměty, příslovečná určení atd.)
from rules import Rules


constituents = Rules((
    # TODO: umožnit kopírování pádu nahoru; c=[^5] je regex, rozpoznat ho podle
    # metaznaků, který asi těžko budou v normálním textu (a i tak by mě
    # nezajímaly)
    '(CONSTITUENT g n) → (NP c=[^5] g n)',
    '(CONSTITUENT g n) → (ADJP c=[^5] g n)',
    '(CONSTITUENT g n c) → (PP g n c)',
    '(CONSTITUENT) → (ADVP)',
    # (to, ) „co jsi napsal“ ~ to tebou napsané
    '(CONSTITUENT) → (DEP_CLAUSE)',  # complementizer phrase (CP)?
))

optionals = Rules((
    '(CONSTITUENTS) → ε',
    '(CONSTITUENTS) → (CONSTITUENT) (INTER) (CONSTITUENTS)',
))

rules = constituents + optionals
