from rules import Rules


# TODO: chce to iword
subordinators = Rules(
    # t=M nakolik
    # '(SUBORD) → (word=že|aby|co|kdo|kdy|dokud|kde|kam|odkud|nakolik|když|'
    #                  'proč|kolik|kudy)',
    # „aby“ je zajímavější, protože se skládá ze spojky a slovesa (značka k=Y)
    '(SUBORD) → (lemma=že|co|kdo|kdy|dokud|kde|kam|odkud|nakolik|když|proč|'
                      'kolik|kudy|aby|kdyby)',
    # co podstatného / jak důležitý
    '(SUBORD) → (word=co|jak) (k=2)',
    '(SUBORD) → (k=7) (word=co|čeho|čemu|čem|čím)',
    # „Je nám docela jedno, který den to uděláme“ ukazuje, že ta vedlejší věta
    # může mít formu snad libovolné otázky…
)

rules = subordinators
