# TODO: váhy pravidel kvůli řazení stromů
# TODO: head=True na označení hlavy pro závislostní výstup

from rules import Rules
from .cz_adverbials import adverbials
from .cz_clauses import clauses, relatives
from .cz_clitics import clitics
from .cz_constituents import constituents, optionals
from .cz_coordinations import coordinations
from .cz_interpositions import interpositions
from .cz_nominals import nominals
from .cz_punctuation import punctuation
from .cz_subordinators import subordinators
from .cz_verbals import modals


rules = Rules(clauses + modals + constituents + optionals + nominals +
              clitics + adverbials + coordinations + relatives +
              subordinators + interpositions + punctuation)


# Eva Mráková – disertační práce
# „Parciální syntaktická analýza češtiny“ (2002)
# parciální analyzátor, DCG, VP
# neprojektivní konstrukce
# (malý jsme měli stan)
# on by [se ti na to] podíval
# budu + inf, jsem + -l
# gaps (přetržky)
# > 20 % analytických, přetržených VP
# CLAUSE → V[fin]
# CLAUSE → V[modální]
